You are not logged in.

#1 2024-05-24 12:11:00

Mr Green
Member
Registered: 2017-11-11
Posts: 66

I am having problems with install [Solved]

Using the latest iso image and pacstrap to install packages, it seems to fail on with keyring issues. Did try to init pacman-key and populate keys but it did not seem to work.

Am running under a VM for testing just wondered if I need to do something else before trying to install.

If I have missed something then please forgive the noise... ;-)

Last edited by Mr Green (2024-06-02 09:16:19)

Offline

#2 2024-05-25 07:38:28

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 1,001
Website

Re: I am having problems with install [Solved]

No, you didn't miss anything. :-)
The ISO is broken for a longer time than the expiry date of the keys in the keyring.
I recently built an ISO, but pacstrap completely failed on me, even when using a custom configuration with SigLevel=Never.

Offline

#3 2024-05-25 08:04:15

Mr Green
Member
Registered: 2017-11-11
Posts: 66

Re: I am having problems with install [Solved]

I have managed to get i686 running in a VM using SigLevel = Never.

pacstrap did work though I forget packages I need on target system. [ie grub!!! networkmanager etc]

Even got as far as loading Xorg with i3.

Great I can run archiso ;-) only releng config does not work, creates 'work' folder then nothing even with -v I get no output.

Feel free to contact me if maybe I can help with testing/building ....

2024-05-25-072111-1920x1080-scrot.png

Rough but working.... no Hyprland here!

Last edited by Mr Green (2024-05-25 08:24:24)

Offline

#4 2024-05-25 09:23:08

Mr Green
Member
Registered: 2017-11-11
Posts: 66

Re: I am having problems with install [Solved]

Just to make sure it works again I created another VM and installed archlinux32 again. pacstrap does work

First you do need to add edit SigLevel to Never

Then mounted /dev/sda1 to /mnt and ran

 pacstrap -K /mnt base .....

Forgot to change root password but easy fix just reload iso live and chroot in.... ;-)

Once logged in updated pacman-key and seems to work fine.

Will attempt to get ArchBang to build under 32bit but it has been a long while since I created a 32bit iso image. My build script will not work out of the box as it is set for x86_64.

Would need to look at archiso files for archlinux32, is archiso up to date? are you using haveged still? Just random thoughts in my head!

Offline

#5 2024-05-28 15:49:41

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 1,001
Website

Re: I am having problems with install [Solved]

Hi, thanks a lot for testing, always much appreciated. :-)

archiso32 is https://git.archlinux32.org/archiso32/ (with a master with local Arch32 adaptions, upstreamMaster branch tracks the upstream archiso changes).
It should be pretty recent (2-3 weeks or so).

archinstall32 dito, https://git.archlinux32.org/archinstall32/

releng is supposed to run only on 64-bit. it basically requires archiso32 to be around (and archinstall32, if you want that).

Offline

#6 2024-06-02 09:16:08

Mr Green
Member
Registered: 2017-11-11
Posts: 66

Re: I am having problems with install [Solved]

Installed archiso32 pulled in my source files made some small changes to profile and build script I use [mostly changing x86_64 to i686]. And iso happily built.

Did forget to change uefi boot options again an easy fix and have tested it live and it does work.

Image was uploaded about a week ago... you can find it on my sourceforge page.

Not going to post link as I fear being banned ;-)

I try to avoid archinstall as it pulls in python which is only really used by it. A user can if they so wish install it live, so yes pulling archinstall32 would be the way to go.

Thanks for all your help, sorry again for all the noise...

Offline

#7 2024-06-02 09:37:00

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 1,001
Website

Re: I am having problems with install [Solved]

That's good news, going to try out the 32-bit version of course. :-)

Actually, you being one of the rare people I know, whoi are still running a full Archlinux and Archlinux32 based distro, I think it's really no problem to put links here for:

https://archbang.org/
https://sourceforge.net/projects/archba … rchBang32/

:-)

Offline

#8 2024-06-02 10:02:07

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 1,001
Website

Re: I am having problems with install [Solved]

archbang-spring-rc-3005-i686.iso installed like a charm. I had to to pacman-key --init, pacman-key --populate archlinux32-keyring before updating the installed system.
There are some strange downgrades:

warning: gvfs: downgrading from version 1.50.4-1.0 to version 1.50.3-1.0
warning: libelf: downgrading from version 0.188-2.0 to version 0.188-1.0
warning: libpcap: downgrading from version 1.10.3-1.0 to version 1.10.2-1.0
warning: libpulse: downgrading from version 17.0-3.0 to version 16.1-7.0
warning: linux: downgrading from version 6.1.12.arch1-1.0 to version 6.1.10.arch1-1.0
warning: ndctl: downgrading from version 75-1.0 to version 74-1.0
warning: openssh: downgrading from version 9.6p1-1.1 to version 9.6p1-1.0
warning: perl-clone: downgrading from version 0.46-1.2 to version 0.46-1.1
warning: pkgfile: downgrading from version 21-2.0 to version 21-1.0
warning: rav1e: downgrading from version 0.6.6-3.0 to version 0.6.6-1.0
warning: tinycompress: downgrading from version 1.2.8-2.0 to version 1.2.8-1.1

Offline

#9 2024-06-08 14:52:15

Mr Green
Member
Registered: 2017-11-11
Posts: 66

Re: I am having problems with install [Solved]

I grabbed an old Acer Aspire One off Ebay, claimed it had 1.5Gbs of ram turns out it has 512!

I switched to console [tty2] to run installer to give me any chance of installation. As you say worked fine, not sure about downgrades.. system is fully up to date now.

Might look at adding the correct keyring roll think I am pulling archlinux-keyring instead.

LibreOffice does not run or Telegram-desktop with so little ram it is going to struggle [that with a swap partition]

If I posted a link on Archlinux forums I know exactly what would happen wink

None of this would be possible without your hard work, thank you cool

Offline

#10 2024-06-09 07:40:20

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 1,001
Website

Re: I am having problems with install [Solved]

That's some serious dedication, fetching an old 32-bit machine as test infrastructure from Ebay. :-)

All Arch32 packages are signed with the keys in archlinux32-keyring, archlinux-keyring is just there for convencience.
In the past we just installed both, but for Arch32 packages only archlinux32-keyring is really necessary.

abiword and gnumeric are nice on this class of machines.

Offline

#11 2024-06-09 08:27:24

Mr Green
Member
Registered: 2017-11-11
Posts: 66

Re: I am having problems with install [Solved]

Well it on cost around 10 euros and you can only test so much in a VM. The Acer is pretty low on specs and am finding that no so called 32bit distro live will even boot. Void [which I thought would work] was fine in a VM but on real hardware failed to get past loading kernel.

Will have to look at archlinux32-keyring as I think I am using archlinux one.

Did email you, as I do want to ask some questions and possibly give some help [making tea, cleaning up etc...]

Determined to get Plasma6 running on my old Acer roll

Offline

Board footer

Powered by FluxBB